package com.ssj.dao.weixin.library.dao;

import com.ssj.bean.weixin.libmy.domain.TbLibUserApply;
import com.ssj.service.reading.out.VipBorrowOutDto;
import com.ssj.service.weixin.library.dto.out.*;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.Pageable;

import java.util.List;
import java.util.Map;

public interface IReadParentQueryDao {
    Page<IndexOutDto> findGoodIndexData(Map<String,String> params, Pageable pageable);

    List<SuccessOutDto> findBorrowedList(List<String> bookDetails);

    Page<Map<String, Object>> growthRecordList(Map<String, Object> params, Pageable pageable);

    Page<BookHisViewOutDto> themeBorrowedList(Map<String, String> params, Pageable pageable);

    Page<LibRankingOutDto> findUserRankingLib(Map<String, Object> params, Pageable pageable);

    List<YearRankTotalOutDto> findrankTotalDto(Map<String, String> params);

    List<ThemeOutDto> findThemeInfoList(Map<String, String> params);

    Page<TbLibUserApply> applyBookHisList(Map<String, Object> params, Pageable pageable);

    List<ReadMonthOutDto> findReadMonthList(Map<String, String> params);

    List<ReadYearOutDto> findReadYearList(Map<String, String> params);

    List<Map<String, Object>> findLibRankToPush(Map<String, Object> params);

    Page<LibRankingOutDto> libRankingHis(Map<String, Object> params, Pageable pageable);

    List<VipBorrowOutDto> findInfoListById(String bookInfoId,String libId);
}
